| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSimpleRenderMesh Struct Reference

A simple render mesh. More...

`#include <ivideo/graph3d.h>`

List of all members.

## Public Member Functions
| csSimpleRenderMesh ()
## Public Attributes
csAlphaMode | alphaType
| (Optional) Alpha mode. Defaults to "autodetect".
const csVector4 * | colors
| (Optional) Colors.
iShaderVariableContext * | dynDomain
| (Optional) Shader variable context.
uint | indexCount
| (optional) Number of vertex indices
const uint * | indices
| (optional) Vertex indices.
csRenderMeshType | meshtype
| Type of the geometry to draw.
uint | mixmode
| (Optional) Mix mode. Defaults to CS_FX_COPY.
csReversibleTransform | object2world
| (Optional) Transform to apply to the mesh.
iShader * | shader
| (Optional) Shader to use.
const csVector2 * | texcoords
| (Optional) Texture coordinates.
iTextureHandle * | texture
| (Optional) Handle to the texture to select.
uint | vertexCount
| Number of vertices.
const csVector3 * | vertices
| Vertices.
csZBufMode | z_buf_mode
| (Optional) Z buffer mode. Defaults to CS_ZBUF_NONE.

## Detailed Description

A simple render mesh.

Definition at line 618 of file graph3d.h.

## Member Data Documentation

csAlphaMode csSimpleRenderMesh::alphaType

(Optional) Alpha mode. Defaults to "autodetect".

Definition at line 661 of file graph3d.h.

Referenced by csSimpleRenderMesh().

const csVector4* csSimpleRenderMesh::colors

(Optional) Colors.

Leaving this 0 has the same effect as having all vertex colors set to white.

Definition at line 649 of file graph3d.h.

iShaderVariableContext* csSimpleRenderMesh::dynDomain

(Optional) Shader variable context.

Definition at line 659 of file graph3d.h.

uint csSimpleRenderMesh::indexCount

(optional) Number of vertex indices

Definition at line 624 of file graph3d.h.

const uint* csSimpleRenderMesh::indices

(optional) Vertex indices.

If this field is 0, vertexCount indices are generated with the values 0 to vertexCount -1. indexCount is ignored in that case. In other words, not specifying indices assumes all vertices are in order and only used once.

Definition at line 632 of file graph3d.h.

csRenderMeshType csSimpleRenderMesh::meshtype

Type of the geometry to draw.

Definition at line 621 of file graph3d.h.

uint csSimpleRenderMesh::mixmode

(Optional) Mix mode. Defaults to CS_FX_COPY.

Definition at line 665 of file graph3d.h.

csReversibleTransform csSimpleRenderMesh::object2world

(Optional) Transform to apply to the mesh.

Remarks:
  This transform is initialized to an identity transform. This effectively means that geometry is drawn in world space. To draw in screen space, supply the csSimpleMeshScreenspace flag to DrawSimpleMesh(). For anything else supply an appropriate transformation.

  Keep in mind that the renderer's world-to-camera transform is in effect, too.

Definition at line 676 of file graph3d.h.

iShader* csSimpleRenderMesh::shader

(Optional) Shader to use.

Definition at line 657 of file graph3d.h.

const csVector2* csSimpleRenderMesh::texcoords

(Optional) Texture coordinates.

Definition at line 643 of file graph3d.h.

iTextureHandle* csSimpleRenderMesh::texture

(Optional) Handle to the texture to select.

Leaving this 0 has the same effect as using a white texture.

Definition at line 654 of file graph3d.h.

uint csSimpleRenderMesh::vertexCount

Number of vertices.

Definition at line 635 of file graph3d.h.

const csVector3* csSimpleRenderMesh::vertices

Vertices.

Note: you can omit vertices or texcoords, however this will likely only give useable results if you provide a shader and shader var context (and transfer vertices and/or texcoords with SVs.)

Definition at line 641 of file graph3d.h.

csZBufMode csSimpleRenderMesh::z_buf_mode

(Optional) Z buffer mode. Defaults to CS_ZBUF_NONE.

Definition at line 663 of file graph3d.h.

The documentation for this struct was generated from the following file:

- ivideo/graph3d.h